# Databricks (Beta)

## Overview

{% hint style="info" %}
Using Databricks as your data lake is in open beta and is available to all customers. Please share any bug reports and feature requests with your Panther support team.
{% endhint %}

Panther supports using [Databricks](https://www.databricks.com/) as your data lake backend to store and search data.

See the [available databases here](/search/backend.md#available-databases). The `panther_rule_matches`, `panther_rule_errors`, and `panther_views` databases are not supported in Databricks.

### Panther features not supported on Databricks

Certain Panther features cannot be used with a Databricks backend, either because of a Panther-side or Databricks-side limitation. These features include:

* [Correlation rules](/detections/correlation-rules.md)
* [Search optimization](/search/backend/snowflake/configuration.md#search-optimization) (aka indexing)
* [RBAC per log type](/system-configuration/rbac.md#rbac-per-log-type)
  * A workaround is Databricks [Unity Catalog](https://docs.databricks.com/aws/en/data-governance/unity-catalog)
* [Alerts](/alerts.md) are not stored in and queryable from the data lake
* Query performance is slightly reduced compared to [Snowflake](/search/backend/snowflake.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/search/backend/databricks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
